StudentID not displayed in content

Bug #1588091 reported by Evan on 2016-06-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Evan
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Evan

Bug Description

The Portfolio content isn't able to show the author's name in all formats - Choosing the 'ID Number' format causes a php error.

To reproduce:
- Allocate a studentID to the current user
- Go to Portfolio -> Pages -> Create Page
 - Put some content on the page
 - Select a 'Name display format' of 'ID Number'
 - Save the page
- Click on the 'Display page' button

Expected results:
- The page will be displayed, showing the student ID as the auther

Actual results:
- The page is displayed, but it doesn't show the Student id
- If $cfg->productionmode = false; a php error is shown on the screen

I am running:
- Mahara 16.04
- Ubuntu 14.04
- Postgres 9.3.11

Evan (evan-u) on 2016-06-01
description: updated
description: updated
Evan (evan-u) wrote :

I have pushed a change to gerrit: https://reviews.mahara.org/#/c/6541/

It failed because I am not trusted :( Can someone please let me know what I need to do to get this change in a better shape?

Thanks

Robert Lyon (robertl-9) on 2016-06-02
Changed in mahara:
status: New → In Progress
milestone: none → 16.10.0
importance: Undecided → Medium
Changed in mahara:
assignee: nobody → Evan (evan-u)

Reviewed: https://reviews.mahara.org/6541
Committed: https://git.mahara.org/mahara/mahara/commit/d8285e3ec2e2c234b2c648805e6c47925b95e803
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d8285e3ec2e2c234b2c648805e6c47925b95e803
Author: Evan Giles <email address hidden>
Date: Wed Jun 1 16:10:59 2016 +1000

Bug #1588091: Fix 'name display format' issue

When a user chooses the 'name_display_format' of studentid
- we get an error.

This change just populates the studentid field of the user

behatnotneeded

Change-Id: I1e6a84723863e49dd94b83cb115f26262e6d9750

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6543

Reviewed: https://reviews.mahara.org/6542
Committed: https://git.mahara.org/mahara/mahara/commit/7a0ed6ded5c4ef76ae49df215c3c08474ff12a81
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 7a0ed6ded5c4ef76ae49df215c3c08474ff12a81
Author: Evan Giles <email address hidden>
Date: Wed Jun 1 16:10:59 2016 +1000

Bug #1588091: Fix 'name display format' issue

When a user chooses the 'name_display_format' of studentid
- we get an error.

This change just populates the studentid field of the user

behatnotneeded

Change-Id: I1e6a84723863e49dd94b83cb115f26262e6d9750
(cherry picked from commit d8285e3ec2e2c234b2c648805e6c47925b95e803)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6543
Committed: https://git.mahara.org/mahara/mahara/commit/ecd5e9be313f503424abb93839dd65929638edd2
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit ecd5e9be313f503424abb93839dd65929638edd2
Author: Evan Giles <email address hidden>
Date: Wed Jun 1 16:10:59 2016 +1000

Bug #1588091: Fix 'name display format' issue

When a user chooses the 'name_display_format' of studentid
- we get an error.

This change just populates the studentid field of the user

behatnotneeded

Change-Id: I1e6a84723863e49dd94b83cb115f26262e6d9750
(cherry picked from commit d8285e3ec2e2c234b2c648805e6c47925b95e803)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers